<?php
error_reporting(0);
//----------
include ('inc/config.inc.php.php');
//----------
session_name('sid');
session_start();
//----------
connect_to_db();
include ('inc/autorize.php.php');
include ('inc/online.php.php');
//-----------
if (!$autorize) {
header('Location: index.php?partner='.$partner.'&mod='.$mod.'&'.$srand.'='.$r_rand);
exit();
}
//----------
$partner = intval($_GET['partner']); if ($partner == 0) $partner = 1;
//----------
$arr = mysql_query("SELECT COUNT(*) FROM `love_partner`;");
$part_users = mysql_result($arr, 0);
if($partner > $part_users) $partner = 1;
//----------
$partner_arr = @mysql_query("SELECT * FROM `love_partner` WHERE `partner` = ".$partner." LIMIT 1;");
$row = @mysql_fetch_array($partner_arr);
$partner_site = $row['site'];
$partner_name = $row['name'];
//----------
$title = 'Фотоальбом';
include ('header.php');
echo $header;
if($mod == '1') echo '<p align="center"><small>';
if(isset($_GET['up'])) $up = $_GET['up']; else $up = "0";
switch ($up) {
case "0":
$users_id = intval($autorize['id']);
$arr = @mysql_query("SELECT * FROM `love_user` WHERE `id` = ".$users_id." LIMIT 1;");
$row = @mysql_fetch_array($arr);
$photos = $row['foto'];
echo $class_d2;
echo 'Фотоальбом <b>'.$nick.'</b><br/>';
echo $class_divz;
if($mod == '1') echo '</small></p><p align="left"><small>';

if($photos < 5) {
echo $class_d1.'-&#187; <a href="upload.php?up=1&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Добавить фотографию</a><br/>'.$class_divz;
if($mod == '1') echo '---<br/>';
}

if (empty($photos)) {
echo $class_d0.'У Вас нет фотографий!<br/>'.$class_divz;
if($mod == '1') echo '---<br/>';
}

$dir = opendir("./foto/".$users_id);
      if(@readdir($dir)) {
        while($read = readdir($dir)) {
      	  if($read != "." && $read != ".." && $read != "Thumbs.db") {
		    //считываем картинку унаем размер,вес
		    $arr = getimagesize("./foto/".$users_id."/".$read);
		    //0 ширина 1 высота 4 размер
		    $filesize = filesize("./foto/".$users_id."/".$read);
		    $k = $filesize/1024;
		    $kb = round($k,2);
		    $fname = strtok($read, '.');
		    
		    echo $class_d0;
		    echo'<img src="/fotoalbom.php?id='.$users_id.'&amp;read='.$read.'" alt="'.$fname.'" /><br/>';
		    echo '-&#187; <a href="/save.php?id='.$users_id.'&amp;f='.$read.'">Скачать</a> ('.$arr[0].'x'.$arr[1].')'.$kb.'кб<br/>';
		    echo '-&#187; <a href="/delfoto.php?id='.$users_id.'&amp;fd='.$read.'&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Удалить фото</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz;
}		    
}
}
if($photos < 5) {
echo $class_d1.'-&#187; <a href="upload.php?up=1&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Добавить фотографию</a><br/>'.$class_divz;
if($mod == '1') echo '---<br/>';
}
break;

case "1":
echo $class_d2;
echo 'Добавление фото<br/>';
echo $class_divz;
//----------
if($mod == '1') {
echo '</small></p><p align="left"><small>';
echo 'Данное меню предназначено только для HTML-версии.<br/>';
echo '---<br/>';
}
else
{
$arr = @mysql_query("SELECT * FROM `love_user` WHERE `nick` = ".$nick." LIMIT 1;");
$row = @mysql_fetch_array($arr);
$photos = $row['foto'];
//----------
if ($photos >= 5) {
echo $class_d0.'Вы не можете загружать больше 5-ти фотографий!'.$class_divz;
echo $class_d1;
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
echo $class_divz.$class_d2;
echo $class_endpage;
exit();
}

$_SESSION['rand'] = rand(1000,9999);
if($_GET['err']=="1") { echo $class_d0.'<b>Ошибка!</b> Сервер временно не может обработать ваш запрос!<br/>'.$class_divz;}
if($_GET['err']=="2") { echo $class_d0.'<b>Ошибка!</b> Не верный формат картинки (только jpg)!<br />'.$class_divz;}
if($_GET['err']=="3") { echo $class_d0.'<b>Ошибка!</b> Размер не должен превышать 500 кб!<br />'.$class_divz;}
if($_GET['err']=="4") { echo $class_d0.'<b>Ошибка!</b> Выберите фотографию!<br />'.$class_divz;}
if($_GET['err']=="5") { echo $class_d0.'<b>Ошибка!</b> Директория для загрузки фотографий не создана!Обратитесь к Администратору<br />'.$class_divz;}
echo'<form action="upload.php?partner='.$partner.'&amp;mod='.$mod.'&amp;up=2&amp;'.$srand.'='.$r_rand.'&amp;r='.$_SESSION['rand'].'&amp;'.session_name().'='.session_id().'" method="post" enctype="multipart/form-data">';
echo $class_d1;
echo 'Выберите фотографию (jpg):<br/>';
echo '<input type="file" name="file" /><br/>';
echo '<input type="submit" value="Загрузить" class="do_button" />';
echo $class_divz;
echo '</form>';
echo $class_d0;
echo 'Нажмите кнопку "Обзор" и выберите файл.<br/>';
echo 'Загрузка файлов поддерживается не всеми моделями телефонов.<br/>';
echo '<b>Требования к фотографии</b><br/>';
echo '-	максимальный размер файла - 500 Kb<br/>';
echo '-	максимально фотографий - 5 Шт.<br/>';
echo '<b>Запрещено размещение</b><br/>';
echo '1. чужих и детских фотографий.<br/>';
echo '2. снимков пейзажей и животных, рисунков и "приколов".<br/>';
echo '3. фотографий порнографического характера.<br/>';
echo '4. фотографий без лица.<br/>';
echo $class_divz;
}
break;

case "2":
//антиспам
if($_SESSION['rand'] == $_GET['r']) {
//проверка на присутствие фото
if(!empty($_FILES['file']['name'])) {
//проверка на размер не более 500 кб
if($_FILES['file']['size'] <= 512000) {
//проверка формата на jpg
$ar = explode("/",$_FILES['file']['type']);
if($ar[1]=="jpg"||$ar[1]=="jpeg"||$ar[1]=="JPG"||$ar[1]=="JPEG") {
//создаем директорию
@mkdir("./foto/".intval($autorize['id'])."",0777);
if(opendir("./foto/".intval($autorize['id']))) {
//проверка на копирование фото из временного каталога в папку фото
$name = time().".jpeg";
if(copy($_FILES['file']['tmp_name'],"./foto/".intval($autorize['id'])."/".$name)) {
//----------
@mysql_query("UPDATE `love_user` SET `foto` = `foto` + 1 WHERE `nick` = '".$nick."';");
//----------
echo $class_d2;
echo 'Фото успешно загружено!<br/>';
echo $class_divz;
echo $class_d1;
echo '-&#187; <a href="upload.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Фотоальбом</a><br/>';
echo $class_divz;
unset($_SESSION['rand']);
} else { header('Location: upload.php?up=1&err=1&partner='.$partner.'&mod='.$mod.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id()); }
} else { header('Location: upload.php?up=1&err=5&partner='.$partner.'&mod='.$mod.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id()); }
} else { header('Location: upload.php?up=1&err=2&partner='.$partner.'&mod='.$mod.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id()); }
} else { header('Location: upload.php?up=1&err=3&partner='.$partner.'&mod='.$mod.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id()); }
} else { header('Location: upload.php?up=1&err=4&&partner='.$partner.'&mod='.$mod.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id()); }
} else { header('Location: upload.php?partner='.$partner.'&mod='.$mod.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id()); }
break;
}
echo $class_d0;
echo '&#171;- <a href="/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
echo $class_divz.$class_d1;
if($mod == '1') echo '---<br/>';
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
echo $class_divz.$class_d2;
if($mod == '1') echo '</small></p><p align="center"><small>';
echo 'Copyright &#169; 2008 «<a href="http://'.$partner_site.'">'.$partner_name.'</a>»<br/>';
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;

?>